cyclic-scroll {
    display: block;
}

cyclic-scroll .cyclic-scroll__container {
    display: block;
    max-height: 35px;
    overflow: hidden;
    position: relative;
}

cyclic-scroll .cyclic-scroll__container.cyclic-scroll-stop *,
cyclic-scroll .cyclic-scroll__container:hover * {
    animation-play-state: paused !important;
}

cyclic-scroll .cyclic-scroll__container.cyclic-scroll-clear-animation * {
    animation: none !important;
}

cyclic-scroll .cyclic-scroll__container .cyclic-scroll__inner {
    display: flex;
    flex-direction: column;
    height: fit-content;
    animation-play-state: running;
    animation: sl-cyclic-scroll-move-vertical var(--scroll-speed-pc) linear infinite;
}

@media (max-width: 959px) {
    cyclic-scroll .cyclic-scroll__container .cyclic-scroll__inner {
        animation: sl-cyclic-scroll-move-vertical var(--scroll-speed-mb) linear infinite;
    }
}

cyclic-scroll .cyclic-scroll__container .cyclic-scroll__inner .cyclic-scroll__item {
    width: 100%;
    padding: 20px 0;
    /* 你可以根据需要调整上下间距 */
    box-sizing: border-box;
}

/* 关键帧实现垂直向上滚动 */
@keyframes sl-cyclic-scroll-move-vertical {
    0% {
        transform: translateY(0);
    }

    100% {
        transform: translateY(-100%);
    }
}